> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an agent claim

> Submits a claim for work performed



## OpenAPI

````yaml /api_v1.json post /api/v1/agent-rpc/claim
openapi: 3.1.0
info:
  title: Coral Server API
  version: 1.5.0
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/agent-rpc/claim:
    post:
      tags:
        - agent-rpc
      summary: Submit an agent claim
      description: Submits a claim for work performed
      operationId: submitClaim
      parameters: []
      requestBody:
        description: A description of the work done and the payment required
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentClaimRequest'
        required: false
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentClaimResult'
        '400':
          description: Invalid claim type provided
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
        '401':
          description: Bad agent secret provided
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - agentSecret: []
components:
  schemas:
    AgentClaimRequest:
      type: object
      properties:
        claimTypeName:
          type: string
          description: >-
            The name of the claim type. This claim type must be defined in the
            agent's coral-agent.toml file
          title: String
        quantity:
          type: integer
          description: >-
            The amount of the claim type to claim. The cost of this claim will
            be multiplied by this value.
          maximum: 4294967295
          minimum: 0
          title: UInt
        additionalDescription:
          type: string
          description: >-
            An additional description of the claim, clamped at 256 characters
            long
          title: String
        autoKill:
          type: boolean
          description: >-
            Set this to false if the agent wants to handle budget exhaustion
            itself. Budget settings may kill agents on budget exhaustion even if
            this is set to false
          title: Boolean
      required:
        - autoKill
        - claimTypeName
      title: AgentClaimRequest
    AgentClaimResult:
      type: object
      description: A response to a claim request.
      properties:
        claimId:
          type: integer
          format: int32
          description: A unique sequential ID assigned to this claim
          title: Int
        requestedAmount:
          type: integer
          description: The amount requested, echoed back to the agent
          title: AgentBudgetUnit
        fulfilledAmount:
          type: integer
          description: >-
            The amount of the budget that could be fulfilled. If this is not
            equal to the requested amount, the budget was exhausted.
          title: AgentBudgetUnit
        remainingAgentBudget:
          type: integer
          description: The remaining agent budget after the claim was made
          title: AgentBudgetUnit
        remainingSessionBudget:
          type: integer
          description: The remaining session budget after the claim was made
          title: AgentBudgetUnit
        shouldExit:
          type: boolean
          description: >-
            If this is true, the claim resulted in a budget exhaustion that
            should cause the agent to exit.
          title: Boolean
      required:
        - claimId
        - fulfilledAmount
        - remainingAgentBudget
        - remainingSessionBudget
        - requestedAmount
        - shouldExit
      title: AgentClaimResult
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
  securitySchemes:
    agentSecret:
      type: http
      scheme: bearer
      bearerFormat: Generated agent secret

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.